Skip to main content
GET
/
accounts
/
{id}
/
mass-payments
cURL
GET https://api-sandbox.dwolla.com/accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
  "_links": {},
  "_embedded": {
    "mass-payments": [
      {
        "_links": {},
        "id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
        "status": "complete",
        "created": "2022-01-20T17:41:41.000Z",
        "metaData": {},
        "total": {
          "value": "5.00",
          "currency": "USD"
        },
        "totalFees": {
          "value": "5.00",
          "currency": "USD"
        },
        "correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
      }
    ]
  },
  "total": 100
}

Documentation Index

Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept
enum<string>
default:application/vnd.dwolla.v1.hal+json
required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:
application/vnd.dwolla.v1.hal+json

Path Parameters

id
string
required

Account's unique identifier

Query Parameters

limit
integer<int32>
default:25

Maximum number of results to return

Required range: 1 <= x <= 200
Example:

25

offset
integer<int32>
default:0

How many results to skip.

Example:

0

correlationId
string

Correlation ID to search by.

Response

successful operation

_embedded
object
total
integer
Example:

100